%define module_name Data-iRealPro
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Packager.pm) perl(Data/Struct.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Font/TTF.pm) perl(HTML/Entities.pm) perl(Imager/Matrix2d.pm) perl(JSON/PP.pm) perl(PDF/API2.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm) perl(XML/LibXML.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: Convert iRealBook/iRealPro data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JV/JV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
iRealPro (previously named iReal-B) is a songwriting tool / electronic
backup band for iPhone/iPad, Mac OSX and Android that lets you
experiment with advanced chord progressions and arrangements quickly
and easily. You can use iRealPro for songwriting experiments, as
accompaniment when learning new songs or for making backing tracks for
your guitar / saxophone / theremin solos.

iRealPro can import songs in one of two textual format formats.
The 'irealbook' format is easily readable and straightforward. The
official 'irealb' format is proprietary and uses some form of
scrambling to hide the contents. iRealPro can export songs in the form
of a HTML document that contains the data in big URLs, and some
printable formats.

MusicXML input is possible if the module the XML::LibXML manpage is available.

Data::iRealPro provides a set of modules that can be used to read and
analyse iRealPro songs in URL format and convert them into something
else, like PDF or PNG. A ready-to-use program irealcvt is provided to
perform conversions on the command line.

iRealPro web site: http://www.irealpro.com.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Jan 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- regenerated from template by package builder

* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1
- regenerated from template by package builder

* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 1.13-alt1
- initial import by package builder

